Bug 26029 - SIGSTOP with 3.0 kernel
: SIGSTOP with 3.0 kernel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc)
: unstable
: x86_64 Linux
: P3 blocker
Assigned To:
:
:
:
:
: 23155
  Show dependency tree
 
Reported: 2011-08-11 19:45 by
Modified: 2011-08-15 16:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-11 19:45:20
На x86_64 c ядром 3.0.1 при установке базовой системы (rpm после
glibc_preinstall) идет ругань "ядро слишком старое, делаю SIGSTOP родителю"
------- Comment #1 From 2011-08-12 03:30:09 -------
http://govnokod.ru/7522 :-)
------- Comment #2 From 2011-08-12 11:31:13 -------
2.11.3-alt5-1-g1d6b018
------- Comment #3 From 2011-08-12 12:53:56 -------
(В ответ на комментарий №2)
> 2.11.3-alt5-1-g1d6b018

Ээ.. может собрать его тогда?
------- Comment #4 From 2011-08-12 13:05:43 -------
(In reply to comment #3)
> (В ответ на комментарий №2)
> > 2.11.3-alt5-1-g1d6b018
> 
> Ээ.. может собрать его тогда?

Очень желательно сперва обновить crypt_blowfish.
------- Comment #5 From 2011-08-12 13:13:58 -------
2ldv@: Если можно, то сразу соберите в p6. Это блокер для новых бет.
------- Comment #6 From 2011-08-12 13:55:52 -------
А эта ошибка затрагивает i586?

И у меня эта glibc_preinstall.c (parse_release): handle versions with zeroes
(ALT#26029) не собирается:


Verifying info files in /usr/src/tmp/glibc-buildroot/usr/share/info (normal)
Adjusting library links in /usr/src/tmp/glibc-buildroot
./var/lib:
./lib:
        libc.so.6 -> libc-2.11.3.so
        libBrokenLocale.so.1 -> libBrokenLocale-2.11.3.so
        libm.so.6 -> libm-2.11.3.so
        libdl.so.2 -> libdl-2.11.3.so
        libcrypt.so.1 -> libcrypt-2.11.3.so
        libpthread.so.0 -> libpthread-2.11.3.so
        libresolv.so.2 -> libresolv-2.11.3.so
        libnss_dns.so.2 -> libnss_dns-2.11.3.so
        libanl.so.1 -> libanl-2.11.3.so
        libnss_files.so.2 -> libnss_files-2.11.3.so
        librt.so.1 -> librt-2.11.3.so
        libcidn.so.1 -> libcidn-2.11.3.so
        libthread_db.so.1 -> libthread_db-1.0.so
        libnss_hesiod.so.2 -> libnss_hesiod-2.11.3.so
        libnsl.so.1 -> libnsl-2.11.3.so
        libnss_nis.so.2 -> libnss_nis-2.11.3.so
        libnss_nisplus.so.2 -> libnss_nisplus-2.11.3.so
        libnss_compat.so.2 -> libnss_compat-2.11.3.so
        libutil.so.1 -> libutil-2.11.3.so
        ld-linux.so.2 -> ld-2.11.3.so
./usr/lib:
        libmemusage.so -> libmemusage.so
        libpcprofile.so -> libpcprofile.so
        libSegFault.so -> libSegFault.so
Verifying ELF objects in /usr/src/tmp/glibc-buildroot
(arch=normal,fhs=normal,lint=relaxed,rpath=normal,stack=normal,textrel=normal,unresolved=relaxed)
loadable segment [1] is writable but contains no writable sections
verify-elf: WARNING: ./sbin/glibc_preinstall: eu-elflint failed
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lgetfpregs
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lgetregs
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_getpid
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lsetregs
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_pdwrite
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol:
ps_pglobal_lookup
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_pdread
verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lsetfpregs
verify-elf: WARNING: ./usr/lib/gconv/EUC-JP-MS.so: RPATH entry found: $ORIGIN
------- Comment #7 From 2011-08-12 14:01:35 -------
(In reply to comment #6)
> А эта ошибка затрагивает i586?

Она не зависит от архитектуры.

> И у меня эта glibc_preinstall.c (parse_release): handle versions with zeroes
> (ALT#26029) не собирается:

Собирается.

> Verifying info files in /usr/src/tmp/glibc-buildroot/usr/share/info (normal)
> Adjusting library links in /usr/src/tmp/glibc-buildroot
> ./var/lib:
> ./lib:
>         libc.so.6 -> libc-2.11.3.so
>         libBrokenLocale.so.1 -> libBrokenLocale-2.11.3.so
>         libm.so.6 -> libm-2.11.3.so
>         libdl.so.2 -> libdl-2.11.3.so
>         libcrypt.so.1 -> libcrypt-2.11.3.so
>         libpthread.so.0 -> libpthread-2.11.3.so
>         libresolv.so.2 -> libresolv-2.11.3.so
>         libnss_dns.so.2 -> libnss_dns-2.11.3.so
>         libanl.so.1 -> libanl-2.11.3.so
>         libnss_files.so.2 -> libnss_files-2.11.3.so
>         librt.so.1 -> librt-2.11.3.so
>         libcidn.so.1 -> libcidn-2.11.3.so
>         libthread_db.so.1 -> libthread_db-1.0.so
>         libnss_hesiod.so.2 -> libnss_hesiod-2.11.3.so
>         libnsl.so.1 -> libnsl-2.11.3.so
>         libnss_nis.so.2 -> libnss_nis-2.11.3.so
>         libnss_nisplus.so.2 -> libnss_nisplus-2.11.3.so
>         libnss_compat.so.2 -> libnss_compat-2.11.3.so
>         libutil.so.1 -> libutil-2.11.3.so
>         ld-linux.so.2 -> ld-2.11.3.so
> ./usr/lib:
>         libmemusage.so -> libmemusage.so
>         libpcprofile.so -> libpcprofile.so
>         libSegFault.so -> libSegFault.so
> Verifying ELF objects in /usr/src/tmp/glibc-buildroot
> (arch=normal,fhs=normal,lint=relaxed,rpath=normal,stack=normal,textrel=normal,unresolved=relaxed)
> loadable segment [1] is writable but contains no writable sections
> verify-elf: WARNING: ./sbin/glibc_preinstall: eu-elflint failed
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lgetfpregs
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lgetregs
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_getpid
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lsetregs
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_pdwrite
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol:
> ps_pglobal_lookup
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_pdread
> verify-elf: WARNING: ./lib/libthread_db-1.0.so: undefined symbol: ps_lsetfpregs
> verify-elf: WARNING: ./usr/lib/gconv/EUC-JP-MS.so: RPATH entry found: $ORIGIN

Это все было и раньше.
------- Comment #8 From 2011-08-12 15:02:32 -------
(В ответ на комментарий №7)
> (In reply to comment #6)
> > А эта ошибка затрагивает i586?
> Она не зависит от архитектуры.
На i586 процесс установки не останавливается. Видимо, просто база rpm не
заполняется нужными Provides.
------- Comment #9 From 2011-08-12 16:13:47 -------
C glibc == 2.11.3-alt5-1-g1d6b018 установка пошла дальше.
Тестил только на i586.
------- Comment #10 From 2011-08-13 00:20:33 -------
glibc-6:2.11.3-alt6 -> sisyphus:

* Fri Aug 12 2011 Dmitry V. Levin <ldv@altlinux> 6:2.11.3-alt6
- Updated crypt_blowfish to 1.2.
- glibc_preinstall: Fixed handling of kernel versions with zeroes
  (closes: #26029).
------- Comment #11 From 2011-08-13 00:38:50 -------
Спасибо!
А можно это исправление в бранчи *6?